package org.springblade.controller;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.model.po.DataRecycle;
import org.springblade.service.DataRecycleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.github.xiaoymin.knife4j.core.util.StrUtil;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * @author William
 * @date 2022年12月26日 上午10:54:16
 */
@RestController
@RequestMapping("/paas/visualdev/data/recycle")
@Api(tags = "表单数据回收站", value = "DataRecycle")
public class DataRecycleController {
	@Autowired
	private DataRecycleService recycleService;

	@GetMapping("/list")
	@ApiOperation(value = "分页查询")
	public R<IPage<DataRecycle>> list(String modelId, String dateSt,String dateEd,Integer current, Integer size) {
		LambdaQueryWrapper<DataRecycle> wrapper = Wrappers.<DataRecycle>lambdaQuery();
		wrapper.orderByDesc(DataRecycle::getId);
		if (StrUtil.isNotBlank(modelId)) {
			wrapper.eq(DataRecycle::getModelId, modelId);
		}
		if (StrUtil.isNotBlank(dateSt) && StrUtil.isNotBlank(dateEd)) {
			wrapper.between(DataRecycle::getCreateTime, dateSt,dateEd);
		}
		Query query = new Query();
		query.setCurrent(current);
		query.setSize(size);
		return R.data(recycleService.page(Condition.getPage(query), wrapper));
	}

	@PostMapping("/recovery")
	@ApiOperation(value = "数据恢复")
	public R<Object> recovery(@RequestBody List<String> ids) {
		return R.status(recycleService.recovery(ids));
	}
	
	@PostMapping("/delete/completely")
	@ApiOperation(value = "彻底删除")
	public R<Object> deleteCompletely(@RequestBody List<String> ids) {
		return R.status(recycleService.removeByIds(ids));
	}
}
