package org.springblade.controller;

import java.util.List;

import org.springblade.core.tool.api.R;
import org.springblade.model.po.DictionaryTypeEntity;
import org.springblade.model.vo.DictionaryTypeListVO;
import org.springblade.model.vo.DictionaryTypeModel;
import org.springblade.model.vo.DictionaryTypeSelectModel;
import org.springblade.model.vo.DictionaryTypeSelectVO;
import org.springblade.model.vo.ListVO;
import org.springblade.model.vo.SumTree;
import org.springblade.service.DictionaryTypeService;
import org.springblade.util.TreeDotUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson2.JSON;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 字典分类
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2019年9月27日 上午9:18
 */
@Api(tags = "数据字典分类", value = "DictionaryType")
@RestController
@RequestMapping("/paas/system/DictionaryType")
public class DictionaryTypeController {

	@Autowired
	private DictionaryTypeService dictionaryTypeService;

	/**
	 * 获取字典分类
	 *
	 * @return
	 */
	@ApiOperation("获取字典分类")
	@GetMapping
	public R<ListVO<DictionaryTypeListVO>> treeView() {
		List<DictionaryTypeEntity> data = dictionaryTypeService.getList();
		List<DictionaryTypeModel> voListVO = JSON.parseArray(JSON.toJSONString(data),
				DictionaryTypeModel.class);
		List<SumTree<DictionaryTypeModel>> sumTrees = TreeDotUtils.convertListToTreeDot(voListVO);
		List<DictionaryTypeListVO> list = JSON.parseArray(JSON.toJSONString(sumTrees),
				DictionaryTypeListVO.class);
		ListVO<DictionaryTypeListVO> vo = new ListVO<>();
		vo.setList(list);
		return R.data(vo);
	}

	/**
	 * 获取字典分类
	 *
	 * @return
	 */
	@ApiOperation("获取所有字典分类下拉框列表")
	@GetMapping("/Selector")
	public R<ListVO<DictionaryTypeSelectVO>> selectorTreeView() {
		List<DictionaryTypeEntity> data = dictionaryTypeService.getList();
		List<DictionaryTypeSelectModel> voListVO = JSON.parseArray(JSON.toJSONString(data),
				DictionaryTypeSelectModel.class);
		List<SumTree<DictionaryTypeSelectModel>> sumTrees = TreeDotUtils.convertListToTreeDot(voListVO);
		List<DictionaryTypeSelectVO> list = JSON.parseArray(JSON.toJSONString(sumTrees), DictionaryTypeSelectVO.class);
		ListVO<DictionaryTypeSelectVO> vo = new ListVO<>();
		vo.setList(list);
		return R.data(vo);
	}

}
