package org.springblade.controller;

import org.springblade.core.tool.api.R;
import org.springblade.db.exception.DataException;
import org.springblade.model.po.RoleEntity;
import org.springblade.model.vo.RoleInfoVO;
import org.springblade.service.RoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson2.JSON;

import cn.hutool.core.lang.Dict;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 *  数据处理
 *
 * @author william
 * @date   2022-07-14 10:57:53
 */
@Api(tags = "角色管理", value = "Role")
@RestController
@RequestMapping("/paas/permission/Role")
public class RoleController {
	@Autowired
	private RoleService roleService;


	/**
	 * 角色下拉框列表
	 *
	 * @return
	 */
	@ApiOperation("角色下拉框列表")
	@GetMapping("/Selector")
	public R<Object> listAll() {
		return R.data(Dict.create().set("list", roleService.getTreeList()));
	}

	/**
	 * 获取角色信息
	 *
	 * @param id 主键值
	 * @return
	 */
	@ApiOperation("获取角色信息")
	@GetMapping("/{id}")
	public R<RoleInfoVO> getInfo(@PathVariable("id") String id) throws DataException {
		RoleEntity entity = roleService.getInfo(id);
		RoleInfoVO vo = JSON.parseObject(JSON.toJSONString(entity), RoleInfoVO.class);
		return R.data(vo);
	}

}
