package org.springblade.db.cube.model;

import java.io.Serializable;
import java.util.List;

import org.springblade.db.cube.enums.JoinTypeEnum;

import lombok.Data;

/**
 * 
 * 
 * @author William
 * @date 2023年1月5日 下午5:31:07
 */
@Data
public class TableLinkJoin implements Serializable {

	private static final long serialVersionUID = 1L;

	private JoinTypeEnum joinType;

	// 左边表别名
	private String sourceId;

	// 左边的表
	private String source;

	// 右边表别名
	private String targetId;

	// 右边的表
	private String target;

	// 关联字段列表
	private List<JoinKey> joinKeys;

	@Data
	public static class JoinKey {
		private String sourceKey;
		private String targetKey;
		private boolean sourceKeyVtState;
		private boolean targetKeyVtState;
	}
}
