package org.springblade.db.cube.service;

import java.util.List;

import org.springblade.db.cube.mapper.CubeTableColumnMapper;
import org.springblade.db.cube.model.CubeTableColumn;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 * 
 * @author William
 * @date 2023年2月2日 上午11:17:28
 */
@Service
public class CubeTableColumnService extends ServiceImpl<CubeTableColumnMapper, CubeTableColumn> {

	/**
	 * 根据表名和字段名查询数据集字段
	 * 
	 * @param table
	 * @param column
	 * @return
	 */
	public CubeTableColumn getByTableAndColumn(String table, String column,Integer cubeDataId ) {
		LambdaQueryWrapper<CubeTableColumn> wrapper = Wrappers.<CubeTableColumn>lambdaQuery();
		wrapper.eq(CubeTableColumn::getTableName, table);
		wrapper.eq(CubeTableColumn::getColumnName, column);
		wrapper.eq(CubeTableColumn::getCubeDataId, cubeDataId);
		return getOne(wrapper);
	}

	/**
	 * 根据表名和数据集ID查询数据集字段
	 * 
	 * @param table
	 * @param cubeId
	 * @return
	 */
	public List<CubeTableColumn> getListByTableAndCubeId(String table, Integer cubeId) {
		LambdaQueryWrapper<CubeTableColumn> wrapper = Wrappers.<CubeTableColumn>lambdaQuery();
		wrapper.eq(CubeTableColumn::getTableName, table);
		wrapper.eq(CubeTableColumn::getCubeDataId, cubeId);
		return list(wrapper);
	}
}
