package org.springblade.db.excel.import_;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 批量导入表单数据参数
 * 
 * @author william
 * @date 2022年9月14日 下午1:57:56
 */
@Data
@ApiModel(value = "ExcelFormParam", description = "批量导入表单数据参数")
public class ExcelFormParam {
	@ApiModelProperty(value = "备注", name = "name", required = false)
	private String name;

	@ApiModelProperty(value = "表单ID", name = "modelId", required = true)
	private String modelId;

	@ApiModelProperty(value = "excel相对路径", name = "file", required = true)
	private String file;

	@ApiModelProperty(value = "excel是否带表头", name = "withHeader", required = true)
	private Boolean withHeader;

	@ApiModelProperty(value = "字段ID和Excel列索引映射关系", name = "list", required = true)
	private List<ExcelFieldIndex> list;
	
	@ApiModelProperty(value = "是否清空原有数据", name = "isTruncate", required = true)
	private boolean isTruncate;

	/**
	 * 序列号配置
	 *     "_serialNumberConfig":[
	 *   {
	 *     "type": "fixedChars",
	 *     "chars": "%s"
	 *   },
	 *   {
	 *     "chars": "2024-01-24 11:36:48",
	 *     "type": "createTime"
	 *   },
	 *   {
	 *     "type": "incNumber",
	 *     "digitsNum": 5,
	 *     "fixedLength": true,
	 *     "resetDuration": "none",
	 *     "startValue": 1,
	 *     "chars": "5位数字,不自动重置"
	 *   },
	 *   {
	 *     "type": "widget",
	 *     "chars": "订单总额"
	 *   }
	 * ]
	 */


	@Data
	@ApiModel(value = "ExcelFieldIndex", description = "字段ID和Excel列索引映射关系")
	public static class ExcelFieldIndex {

		@ApiModelProperty(value = "Excel列索引（从0开始）", name = "index", required = true)
		private int index;

		@ApiModelProperty(value = "字段ID", name = "fieldId", required = true)
		private int fieldId;

		private List<Object> _serialNumberConfig;


		public ExcelFieldIndex() {
		}

		public ExcelFieldIndex(Integer index, Integer fieldId,List<Object>_serialNumberConfig) {
			super();
			this.index = index;
			this.fieldId = fieldId;
			this._serialNumberConfig=_serialNumberConfig;
		}
	}
}
