package org.springblade.db.sqlfly.type;

/**
 * oracle数据类型映射到Java
 * 
 * @author William
 * @date 2022年10月28日 上午11:31:25
 */
public class OracleType extends JavaType {

	public OracleType() {
	}

	@Override
	public String get(String sqlType) {
		return null;
	}

	@Override
	public String get(String dataType, int size, int scale) {
		String type = dataType.toLowerCase();
		if (type.equals("integer")) {
			return "Integer";
		} else if (type.equals("long")) {
			return "Long";
		} else if (type.equals("float") || type.equals("float precision") || type.equals("double")
				|| type.equals("double precision")) {
			return "BigDecimal";
		} else if (type.equals("number") || type.equals("decimal") || type.equals("numeric")
				|| type.equals("real")) {
			return scale == 0 ? (size < 10 ? "Integer" : "Long") : "BigDecimal";
		} else if (type.equals("varchar") || type.equals("varchar2") || type.equals("char")
				|| type.equals("nvarchar") || type.equals("nchar")) {
			return "String";
		} else if (type.equals("datetime") || type.equals("date") || type.equals("timestamp")) {
			return "Date";
		}
		return "String";
	}

}
