package org.springblade.job;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.conditions.update.LambdaUpdateChainWrapper;
import org.springblade.mapper.ResetSerialnumberMapper;
import org.springblade.model.po.ResetSerialnumber;
import org.springblade.service.ResetSerialnumberService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author 喜欢番茄火锅
 * @date 2024/1/30 12:20
 */
@Component
public class ResetSerialNumberJob {
    @Resource
    ResetSerialnumberMapper resetSerialnumberMapper;

    /**
     * 每年重置计数
     *
     * @param
     * @return
     * @author 王瑞
     * @date 2024/1/30
     */
//    @Scheduled(cron = "* * * * * ?")
    public void run() {
        System.out.println("hello");
        resetSerialnumberMapper.updateUser(4);
    }

    /**
     * 每年重置计数
     *
     * @param
     * @return
     * @author 王瑞
     * @date 2024/1/30
     */
    @Scheduled(cron = "0 0 0 1 1 ?")
    public void resetYear() {
        resetSerialnumberMapper.updateUser(1);
    }

    /**
     * 每月重置计数
     *
     * @param
     * @return
     * @author 王瑞
     * @date 2024/1/30
     */
    @Scheduled(cron = "0 0 0 1 * ?")
    public void resetMonth() {
        resetSerialnumberMapper.updateUser(2);
    }

    /**
     * 每日重置计数
     *
     * @param
     * @return
     * @author 王瑞
     * @date 2024/1/30
     */
    @Scheduled(cron = "0 0 0 * * ?")
    public void resetDay() {
        resetSerialnumberMapper.updateUser(3);
    }
    /**
     * 每分钟重置计数
     *
     * @param
     * @return
     * @author 王瑞
     * @date 2024/1/30
     */
    @Scheduled(cron = "0 * * * * ?")
    public void resetMinute() {
        resetSerialnumberMapper.updateUser(4);
    }
}
