package org.springblade.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.model.po.UserEntity;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 数据处理
 *
 * @author william
 * @date 2022-07-14 10:57:53
 */
public interface UserMapper extends BaseMapper<UserEntity> {
	@Select("select id from blade_user where status=1 and is_deleted=0")
	public List<String> getAllUserIds();

	@Select("select\r\n"
			+ "	u.id as user_id, \r\n"
			+ "	u.real_name as name,\r\n"
			+ "	bd.full_name as dept,\r\n"
			+ "	bp.post_name as post,\r\n"
			+ "	br.role_name as `role`\r\n"
			+ "from\r\n"
			+ "	blade_user u\r\n"
			+ "left join blade_dept bd on\r\n"
			+ "	u.dept_id = bd.id\r\n"
			+ "left join blade_post bp on\r\n"
			+ "	u.post_id = bp.id\r\n"
			+ "left join blade_role br on\r\n"
			+ "	u.role_id = br.id\r\n"
			+ "where\r\n"
			+ "	u.id = ${userId}")
	public JSONObject get(long userId);
}