package org.springblade.model.dto;

import java.util.List;


import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.bi.client.form.CubeBrowserSqlParam;

/**
 * 数据导出请求参数实体类
 *
 * @author William
 * @date 2022年12月2日 上午10:26:28
 */
@Data
public class DataExportParam {
    @ApiModelProperty(value = "表单ID", required = true)
    private String modelId;

    @ApiModelProperty(value = "任务名称", name = "taskName", required = true)
    private String taskName;

    @ApiModelProperty(value = "是否导出所有数据(true-全部，false=非全部)", required = true)
    private boolean isAll;

    @ApiModelProperty(value = "要导出字段在数据集中的ID数组", required = true)
    private List<Integer> columnIdList;

    @ApiModelProperty(value = "要导出的数据ID数组，isAll=false时必传", required = false)
    private List<String> dataIdList;
    @ApiModelProperty(value = "要导出的页码，isAll=false时必传", required = false)
    private Integer currentPage;

    @ApiModelProperty(value = "要导出的页面条数", required = false)
    private Integer size;

    @ApiModelProperty(value = "流程信息回显的参数", required = false)
    private String dataJson;

    @ApiModelProperty(value = "cubeColumnId", required = false)
    private Integer cubeColumnId;

    @ApiModelProperty(value = "要导出的项目名字", required = false)
    private List<Object> projectNames;

    @ApiModelProperty(value = "查询参数", required = false)
    private List<CubeBrowserSqlParam> paramList;
}
