package org.springblade.model.dto;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author William
 * @date 2022年12月12日 下午5:09:54
 */
@Data
public class Pagination {
	@ApiModelProperty(value = "每页条数",example = "20")
    private long pageSize=20;
    @ApiModelProperty(value = "排序类型")
    private String sort="desc";
    @ApiModelProperty(value = "排序列")
    private String sidx="";
    @ApiModelProperty(value = "当前页数",example = "1")
    private long currentPage=1;

    @ApiModelProperty(hidden = true)
    @JsonIgnore
    private long total;
    @ApiModelProperty(hidden = true)
    @JsonIgnore
    private long records;
    
    @ApiModelProperty(value = "关键字")
    private String keyword="";

    public <T> List<T> setData(List<T> data, long records) {
        this.total = records;
        return data;
    }

}
