package org.springblade.model.po;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 表单数据导入实体类
 * 
 * @author William
 * @date 2022年12月2日 上午11:18:34
 */
@Data
@Builder
@TableName("base_visualdev_recycle")
@ApiModel(value = "base_visualdev_recycle", description = "数据回收站")
public class DataRecycle {
	@ApiModelProperty(value = "ID", name = "id", required = true)
	@TableId(type = IdType.ASSIGN_ID)
	private Long id;
	
	@ApiModelProperty(value = "表单ID", name = "modelId", required = true)
	private String modelId;

	@ApiModelProperty(value = "操作人", name = "operator", required = false)
	private String operator;

	@ApiModelProperty(value = "操作人ID", name = "operatorId", required = false)
	private Long operatorId;

	@ApiModelProperty(value = "操作时间", name = "createTime", required = false)
	private Date createTime;

	@JsonIgnore
	@ApiModelProperty(value = "删除的数据", name = "data", required = false)
	private String data;
	
	@ApiModelProperty(value = "用于前端回显", name = "dataView", required = false)
	private String dataView;
	
}
