package org.springblade.model.po;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 字典数据
 * 
 * @author William
 * @date 2022年12月13日 下午6:27:47
 */
@Data
@TableName("base_dictionarydata")
public class DictionaryDataEntity {
	@TableId(value = "F_Id", type = IdType.ASSIGN_UUID)
	private String id;

	@TableField("F_ParentId")
	private String parentId;

	@TableField("F_FullName")
	private String fullName;

	@TableField("F_EnCode")
	private String enCode;

	@TableField("F_SimpleSpelling")
	private String simpleSpelling;

	@TableField("F_IsDefault")
	private Integer isDefault;

	@TableField("F_Description")
	private String description;

	@TableField("F_SortCode")
	private Long sortCode;

	@TableField("F_EnabledMark")
	private Integer enabledMark;

	@TableField(value = "F_CreatorTime")
	private Date creatorTime;

	@TableField(value = "F_CreatorUserId")
	private String creatorUserId;

	@TableField(value = "F_LastModifyTime")
	private Date lastModifyTime;

	@TableField(value = "F_LastModifyUserId")
	private String lastModifyUserId;

	@JsonIgnore
	@TableField("F_DeleteMark")
	private Integer deleteMark;

	@JsonIgnore
	@TableField("F_DeleteTime")
	private Date deleteTime;

	@JsonIgnore
	@TableField("F_DeleteUserId")
	private String deleteUserId;

	@TableField("F_DictionaryTypeId")
	private String dictionaryTypeId;

	@ApiModelProperty(value = "租户id")
	@TableField("tenant_id")
	private String tenantId;


	/**
	 * 模型类型（1低代码 2零代码）
	 */
	@TableField("mode_type")
	private String modeType;
}
