package org.springblade.model.po;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司（https://www.jnpfsoft.com）
 * @author JNPF开发平台组
 * @date 2021/3/16
 */
@Data
@TableName("base_visualdev")
public class VisualdevEntity {

	@TableId(value = "F_Id", type = IdType.ASSIGN_UUID)
	private String id;

	@TableField("F_Description")
	private String description;

	@TableField("F_SortCode")
	private Long sortCode;

	@TableField("F_EnabledMark")
	private Integer enabledMark;

	@TableField(value = "F_CreatorTime")
	private Date creatorTime;

	@TableField(value = "F_CreatorUserId")
	private String creatorUser;

	@TableField(value = "F_LastModifyTime")
	private Date lastModifyTime;

	@TableField(value = "F_LastModifyUserId")
	private String lastModifyUser;

	@JsonIgnore
	@TableField("F_DeleteMark")
	private Integer deleteMark;

	@JsonIgnore
	@TableField("F_DeleteTime")
	private Date deleteTime;

	@JsonIgnore
	@TableField("F_DeleteUserId")
	private String deleteUserId;

	@TableField("F_FullName")
	private String fullName;

	@TableField("F_EnCode")
	private String enCode;

	/**
	 * 状态(0-暂存（默认），1-发布)
	 */
	@TableField("F_State")
	private Integer state;

	/**
	 * 类型(1-应用开发,2-移动开发,3-流程表单,4-Web表单,5-App表单)
	 */
	@TableField("F_Type")
	private Integer type;

	/**
	 * 关联的表
	 */
	@TableField("F_Table")
	private String tables;

	/**
	 * 分类(数据字典维护)
	 */
	@TableField("F_Category")
	private String category;

	/**
	 * 表单配置JSON
	 */
	@TableField("F_FormData")
	private String formData;

	/**
	 * 列表配置JSON
	 */
	@TableField("F_ColumnData")
	private String columnData;
	/**
	 * 关联数据连接id
	 */
	@TableField("F_DbLinkId")
	private String dbLinkId;
	/**
	 * 页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）
	 */
	@TableField("F_WebType")
	private String webType;

	/**
	 * 工作流模板JSON
	 */
	@TableField("F_FlowTemplateJson")
	private String flowTemplateJson;

	/**
	 * 关联工作流连接id
	 */
	@TableField("F_FlowId")
	private String flowId;

	@TableField(exist = false)
	private Integer idKey;

	/**
	 * 使用场景
	 */
	@TableField("web_scene")
	private String webScene;

	/**
	 * 关联数据
	 */
	@TableField("relation_data")
	private String relationData;


	@ApiModelProperty(value = "租户id")
	@TableField("tenant_id")
	private String tenantId;

	/**
	 * 关联数据
	 */
	@TableField("logic_data")
	private String logicData;

	/**
	 * 数据源id
	 */
	@TableField("db_source_id")
	private String dbSourceId;

	/**
	 * 模型类型（1低代码 2零代码）
	 */
	@TableField("mode_type")
	private String modeType;


	/**
	 * 子表数据集ids []
	 */
	@TableField("secondary_db_link_id")
	private String secondaryDbLinkId;
}
