package org.springblade.service;

import java.util.List;

import org.springblade.mapper.ProvinceMapper;
import org.springblade.model.po.ProvinceEntity;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.hutool.core.util.StrUtil;

/**
 * 
 * @author William
 * @date 2022年12月30日 上午11:35:29
 */
@Service
public class ProvinceService extends ServiceImpl<ProvinceMapper, ProvinceEntity> {
	
	public List<ProvinceEntity> getList(String parentId) {
		QueryWrapper<ProvinceEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(ProvinceEntity::getParentId, parentId).orderByAsc(ProvinceEntity::getSortCode);

		return this.list(queryWrapper);
	}
	
	public boolean isExistByEnCode(String enCode, String id) {
        QueryWrapper<ProvinceEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(ProvinceEntity::getEnCode, enCode);
        if (!StrUtil.isEmpty(id)) {
            queryWrapper.lambda().ne(ProvinceEntity::getId, id);
        }
        return this.count(queryWrapper) > 0 ? true : false;
    }
}
