package org.springblade.service;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.db.excel.import_.ExcelFormParam;
import org.springblade.mapper.ResetSerialnumberMapper;
import org.springblade.model.dto.VisualdevDataDto;
import org.springblade.model.po.ResetSerialnumber;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class ResetSerialnumberService extends ServiceImpl<ResetSerialnumberMapper, ResetSerialnumber> {

    @Transactional(rollbackFor = Exception.class)
    public String generateSerialNumber(String modelId, VisualdevDataDto formDatum) {
        Map<String, Object> formDatumMap = JSONUtil.parseObj(formDatum.getData());


        List<Object> serialNumber = formDatum.get_serialNumberConfig();
        if (CollUtil.isNotEmpty(serialNumber)) {
            String segmentation = "";
            StringBuilder sb = new StringBuilder();
            for (Object o : serialNumber) {
                Map<String, Object> serialNumberConfig = JSONUtil.parseObj(o);
                if ("segmentation".equalsIgnoreCase((String) serialNumberConfig.get("type"))) {
                    segmentation = (String) serialNumberConfig.get("chars");
                }
            }
            for (Object o : serialNumber) {
                Map<String, Object> serialNumberConfig = JSONUtil.parseObj(o);
                if ("incNumber".equalsIgnoreCase((String) serialNumberConfig.get("type"))) {

                    Long total = getTotal(modelId);
                    String digitsNum = total + "";
                    if (Boolean.parseBoolean(serialNumberConfig.get("fixedLength") + "")) {
                        digitsNum = String.format("%0" + serialNumberConfig.get("digitsNum") + "d", total);
                    }

                    sb.append(digitsNum).append(segmentation);
                } else {
                    sb.append(serialNumberConfig.get("chars")).append(segmentation);
                }
            }
            formDatumMap.put(formDatum.get_serialNumber(), sb);
        }
        return JSONUtil.toJsonStr(formDatumMap);
    }


    @Transactional(rollbackFor = Exception.class)
    public String generateValue(String modelId, List<Object> _serialNumberConfig, LinkedHashMap<Integer, String> data, List<ExcelFormParam.ExcelFieldIndex> indexList) {
        StringBuilder sb = new StringBuilder();
        String segmentation = "";
        if (CollUtil.isNotEmpty(_serialNumberConfig)) {

            for (Object o : _serialNumberConfig) {
                Map<String, Object> serialNumberConfig = JSONUtil.parseObj(o);
                if ("segmentation".equalsIgnoreCase((String) serialNumberConfig.get("type"))) {
                    segmentation = (String) serialNumberConfig.get("chars");
                }
            }

            for (Object o : _serialNumberConfig) {
                Map<String, Object> serialNumberConfig = JSONUtil.parseObj(o);
                if ("incNumber".equalsIgnoreCase((String) serialNumberConfig.get("type"))) {

                    Long total = getTotal(modelId);
                    String digitsNum = total + "";
                    if (Boolean.parseBoolean(serialNumberConfig.get("fixedLength") + "")) {
                        digitsNum = String.format("%0" + serialNumberConfig.get("digitsNum") + "d", total);
                    }

                    sb.append(digitsNum).append(segmentation);
                } else if ("widget".equalsIgnoreCase((String) serialNumberConfig.get("type"))) {
                    Object widgetvModel = serialNumberConfig.get("widgetvModel");
                    int fieldId = Integer.parseInt(String.valueOf(widgetvModel));
                    for (ExcelFormParam.ExcelFieldIndex fieldIndex : indexList) {
                        if (fieldIndex.getFieldId() == fieldId) {
                            sb.append(data.get(fieldIndex.getIndex()));
                            break;
                        }
                    }
                } else {
                    sb.append(serialNumberConfig.get("chars")).append(segmentation);
                }
            }
        }
        return sb.toString();
    }

    private synchronized Long getTotal(String modelId) {
        ResetSerialnumber one = this.lambdaQuery().eq(ResetSerialnumber::getModelId, modelId).one();
        Long count = one.getCount();
        one.setCount(count + 1L);
        this.updateById(one);
        return count;
    }
}




